v1-platform
Create Participant Session
Create Participant Session
curl --request POST \
--url https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/participant-sessions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidence": {},
"expires_in_seconds": 3600,
"locale": "en",
"signals": {},
"subject_context": {}
}
'import requests
url = "https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/participant-sessions"
payload = {
"program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subject_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"evidence": {},
"expires_in_seconds": 3600,
"locale": "en",
"signals": {},
"subject_context": {}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
program_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
subject_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
evidence: {},
expires_in_seconds: 3600,
locale: 'en',
signals: {},
subject_context: {}
})
};
fetch('https://api.example.com/v1/organizations/{organization_id}/apps/{app_id}/environments/{environment_id}/participant-sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"branding": {
"display_name": "<string>",
"primary_color": "<string>"
},
"consent": {
"notice_text": "<string>",
"notice_version": "<string>",
"purpose": "<string>"
},
"evaluation_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "2023-11-07T05:31:56Z",
"participant_token": "<string>",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"hosted_url": "<string>"
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}{
"detail": {
"code": "<string>",
"message": "<string>",
"context": {},
"request_id": "<string>"
}
}Authorizations
BearerAuthApiKeyAuthSessionCookie
Named syn_ API key or migration-only legacy key.
Headers
Required string length:
1 - 255Path Parameters
Body
application/json
Show child attributes
Show child attributes
Required range:
300 <= x <= 86400Required string length:
2 - 35Pattern:
^[a-z]{2,3}(?:-[A-Z]{2})?$Show child attributes
Show child attributes
Response
Successful Response
Participant-safe branding pinned by an immutable experience version.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
hosted, embedded, hosted_or_embedded ⌘I
Create Participant Session
